AMQPExchange::__construct
AMQPExchange::delete
AMQPExchange
PHP Manual

# AMQPExchange::declare

(PECL amqp >= Unknown)

AMQPExchange::declare — Declare a new exchange on the broker.

### Description

public int AMQPExchange::declare ( void )

Declare a new exchange on the broker.

### Parameters

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws AMQPExchangeException on failure.

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Examples

Example #1 AMQPExchange::declare() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
$cnn->connect();
$ch = new AMQPChannel($cnn);
$ex = new AMQPExchange($ch);
$ex->setName('new_topic_exchange');
$ex->setType(AMQP_EX_TYPE_DIRECT);
$ex->setFlags(AMQP_DURABLE | AMQP_AUTODELETE);
$ex->declare();
?>`

AMQPExchange::__construct
AMQPExchange::delete
AMQPExchange
PHP Manual